Index: CKEditor/releases/stable/lang/_translationstatus.txt
===================================================================
--- CKEditor/releases/stable/lang/_translationstatus.txt	(revision 6907)
+++ CKEditor/releases/stable/lang/_translationstatus.txt	(revision 7070)
@@ -2,60 +2,60 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 520 Missing: 51
-ar.js      Found: 435 Missing: 136
-bg.js      Found: 268 Missing: 303
-bn.js      Found: 269 Missing: 302
-bs.js      Found: 175 Missing: 396
-ca.js      Found: 520 Missing: 51
-cs.js      Found: 519 Missing: 52
-cy.js      Found: 435 Missing: 136
-da.js      Found: 388 Missing: 183
-de.js      Found: 521 Missing: 50
-el.js      Found: 274 Missing: 297
-en-au.js   Found: 345 Missing: 226
-en-ca.js   Found: 345 Missing: 226
-en-gb.js   Found: 519 Missing: 52
-eo.js      Found: 247 Missing: 324
-es.js      Found: 571 Missing: 0
-et.js      Found: 289 Missing: 282
-eu.js      Found: 387 Missing: 184
-fa.js      Found: 290 Missing: 281
-fi.js      Found: 521 Missing: 50
-fo.js      Found: 520 Missing: 51
-fr-ca.js   Found: 289 Missing: 282
-fr.js      Found: 521 Missing: 50
-gl.js      Found: 271 Missing: 300
-gu.js      Found: 288 Missing: 283
-he.js      Found: 571 Missing: 0
-hi.js      Found: 290 Missing: 281
-hr.js      Found: 388 Missing: 183
-hu.js      Found: 511 Missing: 60
-is.js      Found: 295 Missing: 276
-it.js      Found: 388 Missing: 183
-ja.js      Found: 470 Missing: 101
-ka.js      Found: 570 Missing: 1
-km.js      Found: 263 Missing: 308
-ko.js      Found: 281 Missing: 290
-lt.js      Found: 294 Missing: 277
-lv.js      Found: 271 Missing: 300
-mn.js      Found: 288 Missing: 283
-ms.js      Found: 253 Missing: 318
-nb.js      Found: 520 Missing: 51
-nl.js      Found: 512 Missing: 59
-no.js      Found: 520 Missing: 51
-pl.js      Found: 571 Missing: 0
-pt-br.js   Found: 505 Missing: 66
-pt.js      Found: 270 Missing: 301
-ro.js      Found: 289 Missing: 282
-ru.js      Found: 451 Missing: 120
-sk.js      Found: 334 Missing: 237
-sl.js      Found: 394 Missing: 177
-sr-latn.js Found: 264 Missing: 307
-sr.js      Found: 263 Missing: 308
-sv.js      Found: 520 Missing: 51
-th.js      Found: 275 Missing: 296
-tr.js      Found: 505 Missing: 66
-uk.js      Found: 512 Missing: 59
-vi.js      Found: 462 Missing: 109
-zh-cn.js   Found: 517 Missing: 54
-zh.js      Found: 388 Missing: 183
+af.js      Found: 549 Missing: 24
+ar.js      Found: 467 Missing: 106
+bg.js      Found: 291 Missing: 282
+bn.js      Found: 292 Missing: 281
+bs.js      Found: 175 Missing: 398
+ca.js      Found: 550 Missing: 23
+cs.js      Found: 550 Missing: 23
+cy.js      Found: 573 Missing: 0
+da.js      Found: 417 Missing: 156
+de.js      Found: 568 Missing: 5
+el.js      Found: 306 Missing: 267
+en-au.js   Found: 345 Missing: 228
+en-ca.js   Found: 345 Missing: 228
+en-gb.js   Found: 518 Missing: 55
+eo.js      Found: 270 Missing: 303
+es.js      Found: 570 Missing: 3
+et.js      Found: 320 Missing: 253
+eu.js      Found: 417 Missing: 156
+fa.js      Found: 322 Missing: 251
+fi.js      Found: 552 Missing: 21
+fo.js      Found: 551 Missing: 22
+fr-ca.js   Found: 319 Missing: 254
+fr.js      Found: 551 Missing: 22
+gl.js      Found: 292 Missing: 281
+gu.js      Found: 320 Missing: 253
+he.js      Found: 573 Missing: 0
+hi.js      Found: 322 Missing: 251
+hr.js      Found: 419 Missing: 154
+hu.js      Found: 542 Missing: 31
+is.js      Found: 326 Missing: 247
+it.js      Found: 418 Missing: 155
+ja.js      Found: 494 Missing: 79
+ka.js      Found: 569 Missing: 4
+km.js      Found: 286 Missing: 287
+ko.js      Found: 304 Missing: 269
+lt.js      Found: 326 Missing: 247
+lv.js      Found: 294 Missing: 279
+mn.js      Found: 320 Missing: 253
+ms.js      Found: 276 Missing: 297
+nb.js      Found: 550 Missing: 23
+nl.js      Found: 570 Missing: 3
+no.js      Found: 550 Missing: 23
+pl.js      Found: 573 Missing: 0
+pt-br.js   Found: 535 Missing: 38
+pt.js      Found: 293 Missing: 280
+ro.js      Found: 317 Missing: 256
+ru.js      Found: 484 Missing: 89
+sk.js      Found: 365 Missing: 208
+sl.js      Found: 426 Missing: 147
+sr-latn.js Found: 287 Missing: 286
+sr.js      Found: 286 Missing: 287
+sv.js      Found: 551 Missing: 22
+th.js      Found: 298 Missing: 275
+tr.js      Found: 536 Missing: 37
+uk.js      Found: 544 Missing: 29
+vi.js      Found: 493 Missing: 80
+zh-cn.js   Found: 548 Missing: 25
+zh.js      Found: 419 Missing: 154