Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 7195)
+++ CKEditor/trunk/CHANGES.html	(revision 7196)
@@ -53,8 +53,8 @@
 		<li><a href="http://dev.ckeditor.com/ticket/8025">#8025</a> : The checkboxes in the Find and Replace dialog window are now part of a fieldset.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/7943">#7943</a> : CSS conflict no longer appears when the page styles set the <code>float</code> property of <code>label</code> elements.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8016">#8016</a> : [WebKit] Flash content is not visible when previewing content.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8016">#8016</a> : [Webkit] Flash content isn't visible when previewing content.</li>
 		<li>Updated the following language files:<ul>
 			<li><a href="http://dev.ckeditor.com/ticket/8128">#8128</a> : Italian;</li>
-			<li><a href="http://dev.ckeditor.com/ticket/8126">#8126</a>, <a href="http://dev.ckeditor.com/ticket/8256">#8256</a> : Norwegian (Bokmål and Nynorsk);</li>
+			<li><a href="http://dev.ckeditor.com/ticket/8126">#8126</a> : Norwegian (Bokmål and Nynorsk);</li>
 			<li><a href="http://dev.ckeditor.com/ticket/8151">#8151</a> : Russian;</li>
 			<li><a href="http://dev.ckeditor.com/ticket/8179">#8179</a> : Hungarian;</li>
Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7195)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7196)
@@ -41,7 +41,7 @@
 mn.js      Found: 320 Missing: 255
 ms.js      Found: 276 Missing: 299
-nb.js      Found: 575 Missing: 0
+nb.js      Found: 573 Missing: 2
 nl.js      Found: 570 Missing: 5
-no.js      Found: 575 Missing: 0
+no.js      Found: 573 Missing: 2
 pl.js      Found: 575 Missing: 0
 pt-br.js   Found: 535 Missing: 40
Index: CKEditor/trunk/_source/lang/nb.js
===================================================================
--- CKEditor/trunk/_source/lang/nb.js	(revision 7195)
+++ CKEditor/trunk/_source/lang/nb.js	(revision 7196)
@@ -124,5 +124,5 @@
 		invalidCssLength	: 'Den angitte verdien for feltet "%1" må være et positivt tall med eller uten en gyldig CSS-målingsenhet (px, %, in, cm, mm, em, ex, pt, eller pc).',
 		invalidHtmlLength	: 'Den angitte verdien for feltet "%1" må være et positivt tall med eller uten en gyldig HTML-målingsenhet (px eller %).',
-		invalidInlineStyle	: 'Verdi angitt for inline stil må bestå av en eller flere sett med formatet "navn : verdi", separert med semikolon',
+		invalidInlineStyle	: 'Value specified for the inline style must consist of one or more tuples with the format of "name : value", separated by semi-colons.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -242,5 +242,5 @@
 		replaceWith			: 'Erstatt med:',
 		notFoundMsg			: 'Fant ikke søketeksten.',
-		findOptions			: 'Søkealternativer',
+		findOptions			: 'Find Options', // MISSING
 		matchCase			: 'Skill mellom store og små bokstaver',
 		matchWord			: 'Bare hele ord',
Index: CKEditor/trunk/_source/lang/no.js
===================================================================
--- CKEditor/trunk/_source/lang/no.js	(revision 7195)
+++ CKEditor/trunk/_source/lang/no.js	(revision 7196)
@@ -124,5 +124,5 @@
 		invalidCssLength	: 'Den angitte verdien for feltet "%1" må være et positivt tall med eller uten en gyldig CSS-målingsenhet (px, %, in, cm, mm, em, ex, pt, eller pc).',
 		invalidHtmlLength	: 'Den angitte verdien for feltet "%1" må være et positivt tall med eller uten en gyldig HTML-målingsenhet (px eller %).',
-		invalidInlineStyle	: 'Verdi angitt for inline stil må bestå av en eller flere sett med formatet "navn : verdi", separert med semikolon',
+		invalidInlineStyle	: 'Value specified for the inline style must consist of one or more tuples with the format of "name : value", separated by semi-colons.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -242,5 +242,5 @@
 		replaceWith			: 'Erstatt med:',
 		notFoundMsg			: 'Fant ikke søketeksten.',
-		findOptions			: 'Søkealternativer',
+		findOptions			: 'Find Options', // MISSING
 		matchCase			: 'Skill mellom store og små bokstaver',
 		matchWord			: 'Bare hele ord',
Index: CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/dialog/dialogDefinition.js	(revision 7196)
@@ -13,5 +13,5 @@
  * <div class="notapi">
  * This class is not really part of the API. It just illustrates the properties
- * that developers can use to define and create dialog windows.
+ * that developers can use to define and create dialogs.
  * </div>
  * @name CKEDITOR.dialog.definition
@@ -19,10 +19,10 @@
  * @example
  * // There is no constructor for this class, the user just has to define an
- * // object with appropriate properties.
+ * // object with the appropriate properties.
  *
  * CKEDITOR.dialog.add( 'testOnly', function( editor )
  *       {
  *           return {
- *               title : 'Test Dialog Window',
+ *               title : 'Test Dialog',
  *               resizable : CKEDITOR.DIALOG_RESIZE_BOTH,
  *               minWidth : 500,
@@ -49,5 +49,5 @@
 
 /**
- * The dialog window title displayed in the its header. Required.
+ * The dialog title, displayed in the dialog's header. Required.
  * @name CKEDITOR.dialog.definition.prototype.title
  * @field
@@ -57,44 +57,42 @@
 
 /**
- * Value that defines how the dialog window can be resized. It must be one of
- * the four constants defined below.
- * <ul>
- * <li><code>{@link CKEDITOR.DIALOG_RESIZE_NONE}</code></li>
- * <li><code>{@link CKEDITOR.DIALOG_RESIZE_WIDTH}</code></li>
- * <li><code>{@link CKEDITOR.DIALOG_RESIZE_HEIGHT}</code></li>
- * <li><code>{@link CKEDITOR.DIALOG_RESIZE_BOTH}</code></li>
- * </ul>
+ * How the dialog can be resized, must be one of the four contents defined below.
+ * <br /><br />
+ * <strong>CKEDITOR.DIALOG_RESIZE_NONE</strong><br />
+ * <strong>CKEDITOR.DIALOG_RESIZE_WIDTH</strong><br />
+ * <strong>CKEDITOR.DIALOG_RESIZE_HEIGHT</strong><br />
+ * <strong>CKEDITOR.DIALOG_RESIZE_BOTH</strong><br />
  * @name CKEDITOR.dialog.definition.prototype.resizable
  * @field
  * @type Number
- * @default <code>CKEDITOR.DIALOG_RESIZE_NONE</code>
- * @example
- */
-
-/**
- * The minimum width of the dialog window, in pixels.
+ * @default CKEDITOR.DIALOG_RESIZE_NONE
+ * @example
+ */
+
+/**
+ * The minimum width of the dialog, in pixels.
  * @name CKEDITOR.dialog.definition.prototype.minWidth
  * @field
  * @type Number
- * @default <code>600</code>
- * @example
- */
-
-/**
- * The minimum height of the dialog window, in pixels.
+ * @default 600
+ * @example
+ */
+
+/**
+ * The minimum height of the dialog, in pixels.
  * @name CKEDITOR.dialog.definition.prototype.minHeight
  * @field
  * @type Number
- * @default <code>400</code>
- * @example
- */
-
-
-/**
- * The initial width of the dialog window, in pixels.
+ * @default 400
+ * @example
+ */
+
+
+/**
+ * The initial width of the dialog, in pixels.
  * @name CKEDITOR.dialog.definition.prototype.width
  * @field
  * @type Number
- * @default <code>{@link CKEDITOR.dialog.definition.prototype.minWidth}</code>
+ * @default @CKEDITOR.dialog.definition.prototype.minWidth
  * @since 3.5.3
  * @example
@@ -102,9 +100,9 @@
 
 /**
- * The initial height of the dialog window, in pixels.
+ * The initial height of the dialog, in pixels.
  * @name CKEDITOR.dialog.definition.prototype.height
  * @field
  * @type Number
- * @default <code>{@link CKEDITOR.dialog.definition.prototype.minHeight}</code>
+ * @default @CKEDITOR.dialog.definition.prototype.minHeight
  * @since 3.5.3
  * @example
@@ -112,10 +110,10 @@
 
 /**
- * The buttons in the dialog window, defined as an array of
+ * The buttons in the dialog, defined as an array of
  * {@link CKEDITOR.dialog.definition.button} objects.
  * @name CKEDITOR.dialog.definition.prototype.buttons
  * @field
  * @type Array
- * @default <code>[ CKEDITOR.dialog.okButton, CKEDITOR.dialog.cancelButton ]</code>
+ * @default [ CKEDITOR.dialog.okButton, CKEDITOR.dialog.cancelButton ]
  * @example
  */
@@ -123,5 +121,5 @@
 /**
  * The contents in the dialog, defined as an array of
- * <code>{@link CKEDITOR.dialog.definition.content}</code> objects. Required.
+ * {@link CKEDITOR.dialog.definition.content} objects. Required.
  * @name CKEDITOR.dialog.definition.prototype.contents
  * @field
@@ -202,5 +200,5 @@
  * @type String
  * @example
- * contentDefinition.accessKey = 'Q';	// Switch to this page when Ctrl+Q is pressed.
+ * contentDefinition.accessKey = 'Q';	// Switch to this page when CTRL-Q is pressed.
  */
 
Index: CKEditor/trunk/_source/plugins/dialog/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/dialog/plugin.js	(revision 7196)
@@ -15,5 +15,5 @@
 
 /**
- * Only allow horizontal resizing of this dialog window. Disable vertical resizing.
+ * Only allow horizontal resizing for this dialog, disable vertical resizing.
  * @constant
  */
@@ -21,11 +21,11 @@
 
 /**
- * Only allow vertical resizing for this dialog window. Disable horizontal resizing.
+ * Only allow vertical resizing for this dialog, disable horizontal resizing.
  * @constant
  */
 CKEDITOR.DIALOG_RESIZE_HEIGHT = 2;
 
-/**
- * Allow the dialog window to be resized in both directions.
+/*
+ * Allow the dialog to be resized in both directions.
  * @constant
  */
@@ -3151,12 +3151,12 @@
 	});
 
-// Configuration settings related to dialog windows.
+// Dialog related configurations.
 
 /**
- * The color of the dialog window background cover. It should be a valid CSS color
+ * The color of the dialog background cover. It should be a valid CSS color
  * string.
  * @name CKEDITOR.config.dialog_backgroundCoverColor
  * @type String
- * @default <code>'white'</code>
+ * @default 'white'
  * @example
  * config.dialog_backgroundCoverColor = 'rgb(255, 254, 253)';
@@ -3164,9 +3164,9 @@
 
 /**
- * The opacity of the dialog window background cover. It should be a number within the
- * range from 0.0 to 1.0.
+ * The opacity of the dialog background cover. It should be a number within the
+ * range [0.0, 1.0].
  * @name CKEDITOR.config.dialog_backgroundCoverOpacity
  * @type Number
- * @default <code>0.5</code>
+ * @default 0.5
  * @example
  * config.dialog_backgroundCoverOpacity = 0.7;
@@ -3174,9 +3174,8 @@
 
 /**
- * If the dialog window has more than one tab, put focus into the first tab as soon
- * as the dialog window is opened.
+ * If the dialog has more than one tab, put focus into the first tab as soon as dialog is opened.
  * @name CKEDITOR.config.dialog_startupFocusTab
  * @type Boolean
- * @default <code>false</code>
+ * @default false
  * @example
  * config.dialog_startupFocusTab = true;
@@ -3184,9 +3183,9 @@
 
 /**
- * The distance of magnetic borders used in moving and resizing dialog windows,
- * in pixels.
+ * The distance of magnetic borders used in moving and resizing dialogs,
+ * measured in pixels.
  * @name CKEDITOR.config.dialog_magnetDistance
  * @type Number
- * @default <code>20</code>
+ * @default 20
  * @example
  * config.dialog_magnetDistance = 30;
@@ -3194,13 +3193,13 @@
 
 /**
- * The guideline to follow when generating the dialog window buttons. There are 3 possible options:
+ * The guideline to follow when generating the dialog buttons. There are 3 possible options:
  * <ul>
- *     <li><code>'OS'</code> &ndash; the buttons will be displayed in the default order of the user's OS;</li>
- *     <li><code>'ltr'</code> &ndash; for Left-To-Right order;</li>
- *     <li><code>'rtl'</code> &ndash; for Right-To-Left order.</li>
+ *     <li>'OS' - the buttons will be displayed in the default order of the user's OS;</li>
+ *     <li>'ltr' - for Left-To-Right order;</li>
+ *     <li>'rtl' - for Right-To-Left order.</li>
  * </ul>
  * @name CKEDITOR.config.dialog_buttonsOrder
  * @type String
- * @default <code>'OS'</code>
+ * @default 'OS'
  * @since 3.5
  * @example
@@ -3209,14 +3208,12 @@
 
 /**
- * The dialog window tabs to be removed. This is a string composed from the dialog window name
- * and the tab name with a colon between them.
- * Separate each pair with a semicolon (see example).<br /><br />
- * <strong>Note:</strong> All names are case-sensitive.<br /><br />
- * <strong>Note:</strong> Be cautious when specifying dialog window tabs that are
- * mandatory, like <code>info</code>. Dialog window functionality might be broken because of this!
+ * The dialog contents to removed. It's a string composed by dialog name and tab name with a colon between them.
+ * Separate each pair with semicolon (see example).
+ * <b>Note: All names are case-sensitive.</b>
+ * <b>Note: Be cautious when specifying dialog tabs that are mandatory, like "info", dialog functionality might be broken because of this!</b>
  * @name CKEDITOR.config.removeDialogTabs
  * @type String
  * @since 3.5
- * @default <code>''</code>
+ * @default ''
  * @example
  * config.removeDialogTabs = 'flash:advanced;image:Link';
Index: CKEditor/trunk/_source/plugins/editingblock/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/editingblock/plugin.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/editingblock/plugin.js	(revision 7196)
@@ -5,6 +5,6 @@
 
 /**
- * @fileOverview The default editing block plugin that contains the editing area
- *		and the source view.
+ * @fileOverview The default editing block plugin, which holds the editing area
+ *		and source view.
  */
 
@@ -124,13 +124,13 @@
 	 * The current editing mode. An editing mode is basically a viewport for
 	 * editing or content viewing. By default the possible values for this
-	 * property are <code>wysiwyg</code> and <code>source</code>.
+	 * property are "wysiwyg" and "source".
 	 * @type String
 	 * @example
-	 * alert( CKEDITOR.instances.editor1.<strong>mode</strong> );  // E.g. "wysiwyg"
+	 * alert( CKEDITOR.instances.editor1.mode );  // "wysiwyg" (e.g.)
 	 */
 	CKEDITOR.editor.prototype.mode = '';
 
 	/**
-	 * Registers an editing mode. This function is to be mainly used by plugins.
+	 * Registers an editing mode. This function is to be used mainly by plugins.
 	 * @param {String} mode The mode name.
 	 * @param {Object} modeEditor The mode editor definition.
@@ -148,5 +148,5 @@
 	 * @example
 	 * // Switch to "source" view.
-	 * CKEDITOR.instances.editor1.<strong>setMode( 'source' )</strong>;
+	 * CKEDITOR.instances.editor1.setMode( 'source' );
 	 */
 	CKEDITOR.editor.prototype.setMode = function( mode )
@@ -195,6 +195,5 @@
 	/**
 	 * Gets the current or any of the objects that represent the editing
-	 * area modes. The two most common editing modes are <code>wysiwyg</code>
-	 * and <code>source</code>.
+	 * area modes. The two most common editing modes are "wysiwyg" and "source".
 	 * @param {String} [mode] The mode to be retrieved. If not specified, the
 	 *		current one is returned.
@@ -206,5 +205,5 @@
 
 	/**
-	 * Moves the selection focus to the editing area space in the editor.
+	 * Moves the selection focus to the editing are space in the editor.
 	 */
 	CKEDITOR.editor.prototype.focus = function()
@@ -219,8 +218,7 @@
 /**
  * The mode to load at the editor startup. It depends on the plugins
- * loaded. By default the <code>wysiwyg</code> and <code>source</code>
- * modes are available.
+ * loaded. By default, the "wysiwyg" and "source" modes are available.
  * @type String
- * @default <code>'wysiwyg'</code>
+ * @default 'wysiwyg'
  * @example
  * config.startupMode = 'source';
@@ -229,8 +227,8 @@
 
 /**
- * Whether the editor should have the focus when the page loads.
+ * Sets whether the editor should have the focus when the page loads.
  * @name CKEDITOR.config.startupFocus
  * @type Boolean
- * @default <code>false</code>
+ * @default false
  * @example
  * config.startupFocus = true;
@@ -238,7 +236,7 @@
 
 /**
- * Whether to render the editing block area in the editor interface.
+ * Whether to render or not the editing block area in the editor interface.
  * @type Boolean
- * @default <code>true</code>
+ * @default true
  * @example
  * config.editingBlock = false;
@@ -247,5 +245,5 @@
 
 /**
- * Fired when a CKEDITOR instance is created, fully initialized, and ready for interaction.
+ * Fired when a CKEDITOR instance is created, fully initialized and ready for interaction.
  * @name CKEDITOR#instanceReady
  * @event
@@ -254,5 +252,5 @@
 
 /**
- * Fired when the CKEDITOR instance is created, fully initialized, and ready for interaction.
+ * Fired when the CKEDITOR instance is created, fully initialized and ready for interaction.
  * @name CKEDITOR.editor#instanceReady
  * @event
@@ -260,7 +258,5 @@
 
 /**
- * Fired before changing the editing mode. See <code>{@link CKEDITOR.editor#event:beforeSetMode}</code> and <code>{@link CKEDITOR.editor#event:mode}</code> for more information.
- * @see CKEDITOR.editor#event:beforeSetMode
- * @see CKEDITOR.editor#event:mode
+ * Fired before changing the editing mode. See also CKEDITOR.editor#beforeSetMode and CKEDITOR.editor#mode
  * @name CKEDITOR.editor#beforeModeUnload
  * @event
@@ -268,7 +264,5 @@
 
  /**
- * Fired before the editor mode is set. See <code>{@link CKEDITOR.editor#event:mode}</code> and <code>{@link CKEDITOR.editor#event:beforeModeUnload}</code> for more information.
- * @see CKEDITOR.editor#event:mode
- * @see CKEDITOR.editor#event:beforeModeUnload
+ * Fired before the editor mode is set. See also CKEDITOR.editor#mode and CKEDITOR.editor#beforeModeUnload
  * @name CKEDITOR.editor#beforeSetMode
  * @event
@@ -278,7 +272,5 @@
 
 /**
- * Fired after setting the editing mode. See <code>{@link CKEDITOR.editor#event:beforeSetMode}</code> and <code>{@link CKEDITOR.editor#event:beforeModeUnload}</code> for more information.
- * @see CKEDITOR.editor#event:beforeSetMode
- * @see CKEDITOR.editor#event:beforeModeUnload
+ * Fired after setting the editing mode. See also CKEDITOR.editor#beforeSetMode and CKEDITOR.editor#beforeModeUnload
  * @name CKEDITOR.editor#mode
  * @event
Index: CKEditor/trunk/_source/plugins/keystrokes/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/keystrokes/plugin.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/keystrokes/plugin.js	(revision 7196)
@@ -4,5 +4,5 @@
 */
 
-// Register a plugin named "keystrokes".
+// Register a plugin named "sample".
 CKEDITOR.plugins.add( 'keystrokes',
 {
@@ -10,5 +10,5 @@
 	{
 		/**
-		 * Controls keystroke typing in this editor instance.
+		 * Controls keystrokes typing in this editor instance.
 		 * @name CKEDITOR.editor.prototype.keystrokeHandler
 		 * @type CKEDITOR.keystrokeHandler
@@ -37,5 +37,5 @@
 
 /**
- * Controls keystroke typing in an editor instance.
+ * Controls keystrokes typing in an editor instance.
  * @constructor
  * @param {CKEDITOR.editor} editor The editor instance.
@@ -48,5 +48,5 @@
 
 	/**
-	 * List of keystrokes associated with commands. Each entry points to a
+	 * List of keystrokes associated to commands. Each entry points to the
 	 * command to be executed.
 	 * @type Object
@@ -56,7 +56,7 @@
 
 	/**
-	 * List of keystrokes that should be blocked if not defined by
-	 * the <code>{@link #keystrokes}</code> setting.
-	 * In this way it is possible to block default browser behavior for those keystrokes.
+	 * List of keystrokes that should be blocked if not defined at
+	 * {@link keystrokes}. In this way it is possible to block the default
+	 * browser behavior for those keystrokes.
 	 * @type Object
 	 * @example
@@ -124,5 +124,5 @@
 		/**
 		 * Attaches this keystroke handle to a DOM object. Keystrokes typed
-		 * over this object will be handled by this keystroke handler.
+		 ** over this object will get handled by this keystrokeHandler.
 		 * @param {CKEDITOR.dom.domObject} domObject The DOM object to attach
 		 *		to.
@@ -144,6 +144,6 @@
 
 /**
- * A list of keystrokes to be blocked if not defined in the <code>{@link CKEDITOR.config.keystrokes}</code>
- * setting. In this way it is possible to block default browser behavior
+ * A list of keystrokes to be blocked if not defined in the {@link CKEDITOR.config.keystrokes}
+ * setting. In this way it is possible to block the default browser behavior
  * for those keystrokes.
  * @type Array
@@ -166,5 +166,5 @@
 
 /**
- * A list associating keystrokes with editor commands. Each element in the list
+ * A list associating keystrokes to editor commands. Each element in the list
  * is an array where the first item is the keystroke, and the second is the
  * name of the command to be executed.
@@ -216,10 +216,10 @@
 
 /**
- * Fired when any keyboard key (or a combination of keys) is pressed in the editing area.
+ * Fired when any keyboard key (or combination) is pressed into the editing area.
  * @name CKEDITOR.editor#key
  * @event
  * @param {Number} data.keyCode A number representing the key code (or
- *		key combination code). It is the sum of the current key code and the
- *		<code>{@link CKEDITOR.CTRL}</code>, <code>{@link CKEDITOR.SHIFT}</code>,
- *		and <code>{@link CKEDITOR.ALT}</code> constants, if those are pressed.
- */
+ *		combination). It is the sum of the current key code and the
+ *		{@link CKEDITOR.CTRL}, {@link CKEDITOR.SHIFT} and {@link CKEDITOR.ALT}
+ *		constants, if those are pressed.
+ */
Index: CKEditor/trunk/_source/plugins/link/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/link/plugin.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/link/plugin.js	(revision 7196)
@@ -249,9 +249,9 @@
 {
 	/**
-	 *  Gets the surrounding link element of the current selection.
+	 *  Get the surrounding link element of current selection.
 	 * @param editor
-	 * @example CKEDITOR.plugins.link.<strong>getSelectedLink( editor )</strong>;
+	 * @example CKEDITOR.plugins.link.getSelectedLink( editor );
 	 * @since 3.2.1
-	 * The following selections will all return the link element.
+	 * The following selection will all return the link element.
 	 *	 <pre>
 	 *  <a href="#">li^nk</a>
@@ -259,6 +259,6 @@
 	 *  text[<a href="#">link]</a>
 	 *  <a href="#">li[nk</a>]
-	 *  [<strong><a href="#">li]nk</a></strong>]
-	 *  [<a href="#"><strong>li]nk</strong></a>
+	 *  [<b><a href="#">li]nk</a></b>]
+	 *  [<a href="#"><b>li]nk</b></a>
 	 * </pre>
 	 */
Index: CKEditor/trunk/_source/plugins/selection/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/selection/plugin.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/selection/plugin.js	(revision 7196)
@@ -1183,5 +1183,5 @@
 		 * Locks the selection made in the editor in order to make it possible to
 		 * manipulate it without browser interference. A locked selection is
-		 * cached and remains unchanged until it is released with the <code>{@link #unlock}</code>
+		 * cached and remains unchanged until it is released with the <code>#unlock</code>
 		 * method.
 		 * @example
@@ -1206,7 +1206,7 @@
 
 		/**
-		 * Unlocks the selection made in the editor and locked with the <code>{@link #lock}</code> method.
+		 * Unlocks the selection made in the editor and locked with the <code>#lock</code> method.
 		 * An unlocked selection is no longer cached and can be changed.
-		 * @param {Boolean} [restore] If set to <code>true</code>, the selection is restored back to the selection saved earlier by using the <code>{@link #lock}</code> method.
+		 * @param {Boolean} [restore] If set to <code>true</code>, the selection is restored back to the selection saved earlier by using the <code>#lock</code> method.
 		 * @example
 		 * editor.getSelection().<strong>unlock()</strong>;
@@ -1438,5 +1438,5 @@
 
 		/**
-		 *  Creates a bookmark for each range of this selection (from <code>{@link #getRanges}</code>)
+		 *  Creates a bookmark for each range of this selection (from <code>#getRanges</code>)
 		 * by calling the <code>{@link CKEDITOR.dom.range.prototype.createBookmark}</code> method,
 		 * with extra care taken to avoid interference among those ranges. The arguments
@@ -1452,5 +1452,5 @@
 
 		/**
-		 *  Creates a bookmark for each range of this selection (from <code>{@link #getRanges}</code>)
+		 *  Creates a bookmark for each range of this selection (from <code>#getRanges</code>)
 		 * by calling the <code>{@link CKEDITOR.dom.range.prototype.createBookmark2}</code> method,
 		 * with extra care taken to avoid interference among those ranges. The arguments
@@ -1466,5 +1466,5 @@
 
 		/**
-		 * Selects the virtual ranges denoted by the bookmarks by calling <code>{@link #selectRanges}</code>.
+		 * Selects the virtual ranges denoted by the bookmarks by calling <code>#selectRanges</code>.
 		 * @param {Array} bookmarks The bookmarks representing ranges to be selected.
 		 * @returns {CKEDITOR.dom.selection} This selection object, after the ranges were selected.
Index: CKEditor/trunk/_source/plugins/styles/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/styles/plugin.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/styles/plugin.js	(revision 7196)
@@ -1658,8 +1658,8 @@
 
  /**
-  * Disables inline styling for read-only elements.
+  * Disables inline styling on read-only elements.
   * @name CKEDITOR.config.disableReadonlyStyling
   * @type Boolean
-  * @default <code>false</code>
+  * @default false
   * @since 3.5
   */
Index: CKEditor/trunk/_source/plugins/styles/styles/default.js
===================================================================
--- CKEditor/trunk/_source/plugins/styles/styles/default.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/styles/styles/default.js	(revision 7196)
@@ -8,7 +8,7 @@
 	/* Block Styles */
 
-	// These styles are already available in the "Format" drop-down list, so they are
+	// These styles are already available in the "Format" combo, so they are
 	// not needed here by default. You may enable them to avoid placing the
-	// "Format" drop-down list in the toolbar while keeping the same features.
+	// "Format" combo in the toolbar, maintaining the same features.
 	/*
 	{ name : 'Paragraph'		, element : 'p' },
@@ -28,6 +28,6 @@
 	/* Inline Styles */
 
-	// These are core styles available as toolbar buttons. You may opt to enable
-	// some of them in the Styles drop-down list and remove them from the toolbar.
+	// These are core styles available as toolbar buttons. You may opt enabling
+	// some of them in the Styles combo, removing them from the toolbar.
 	/*
 	{ name : 'Strong'			, element : 'strong', overrides : 'b' },
Index: CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 7195)
+++ CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 7196)
@@ -5,5 +5,5 @@
 
 /**
- * @fileOverview The <code>wysiwygarea</code> plugin. It registers the <code>wysiwyg</code> editing
+ * @fileOverview The "wysiwygarea" plugin. It registers the "wysiwyg" editing
  *		mode, which handles the main editing area space.
  */
@@ -1282,8 +1282,8 @@
 
 /**
- * Disables the ability to resize objects (images and tables) in the editing
+ * Disables the ability of resize objects (image and tables) in the editing
  * area.
  * @type Boolean
- * @default <code>false</code>
+ * @default false
  * @example
  * config.disableObjectResizing = true;
@@ -1292,9 +1292,9 @@
 
 /**
- * Disables table tools offered natively by the browser (currently
- * Firefox only) to enable quick table editing operations, like adding or
+ * Disables the "table tools" offered natively by the browser (currently
+ * Firefox only) to make quick table editing operations, like adding or
  * deleting rows and columns.
  * @type Boolean
- * @default <code>true</code>
+ * @default true
  * @example
  * config.disableNativeTableHandles = false;
@@ -1303,14 +1303,12 @@
 
 /**
- * Disables the built-in spell checker if the browser provides one.<br /><br />
+ * Disables the built-in words spell checker if browser provides one.<br /><br />
  *
- * <strong>Note:</strong> Although word suggestions provided natively
- * by browsers will not appear in CKEditor's default context menu,
- * users can always reach the browser's native context menu by holding the <em>Ctrl</em>
- * key when right-clicking if <code>{@link CKEDITOR.config.browserContextMenuOnCtrl}</code>
- * is enabled or if the context menu plugin is not being used.
+ * <strong>Note:</strong> Although word suggestions provided by browsers (natively) will not appear in CKEditor's default context menu,
+ * users can always reach the native context menu by holding the <em>Ctrl</em> key when right-clicking if {@link CKEDITOR.config.browserContextMenuOnCtrl}
+ * is enabled or you're simply not using the context menu plugin.
  *
  * @type Boolean
- * @default <code>true</code>
+ * @default true
  * @example
  * config.disableNativeSpellChecker = false;
@@ -1319,8 +1317,8 @@
 
 /**
- * Whether the editor must output an empty value (<code>""</code>) if its contents
- * is made of an empty paragraph only.
+ * Whether the editor must output an empty value ("") if it's contents is made
+ * by an empty paragraph only.
  * @type Boolean
- * @default <code>true</code>
+ * @default true
  * @example
  * config.ignoreEmptyParagraph = false;
@@ -1329,5 +1327,5 @@
 
 /**
- * Fired when the data is loaded and ready for retrieval in an editor instance.
+ * Fired when data is loaded and ready for retrieval in an editor instance.
  * @name CKEDITOR.editor#dataReady
  * @event
@@ -1335,11 +1333,11 @@
 
 /**
- * Whether to automatically create wrapping blocks around inline contents inside
- * the document body. This helps ensure the integrity of the block Enter mode.<br /><br />
+ * Whether automatically create wrapping blocks around inline contents inside document body,
+ * this helps to ensure the integrality of the block enter mode.
  * <strong>Note:</strong> Changing the default value might introduce unpredictable usability issues.
  * @name CKEDITOR.config.autoParagraph
  * @since 3.6
  * @type Boolean
- * @default <code>true</code>
+ * @default true
  * @example
  * config.autoParagraph = false;
@@ -1347,7 +1345,7 @@
 
 /**
- * Fired when some elements are added to the document.
+ * Fired when some elements are added to the document
  * @name CKEDITOR.editor#ariaWidget
  * @event
- * @param {Object} element The element being added.
+ * @param {Object} element The element being added
  */