Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 7205)
+++ CKEditor/trunk/CHANGES.html	(revision 7206)
@@ -59,5 +59,4 @@
 		<li><a href="http://dev.ckeditor.com/ticket/7619">#7619</a> : [IE] IFrame shim now consolidate editor dialog to avoid having it masked by embeddeds.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/7900">#7900</a> : [FF] Copy/Paste table cells no longer breaks Table dialog.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7948">#7948</a> : Improved perceptivity for width/height fields value type on Table dialog.</li>
 		<li>Updated the following language files:<ul>
 			<li><a href="http://dev.ckeditor.com/ticket/8128">#8128</a> : Italian;</li>
Index: CKEditor/trunk/_source/lang/af.js
===================================================================
--- CKEditor/trunk/_source/lang/af.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/af.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Kolomme',
 		border		: 'Randbreedte',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'piksels',
 		widthPc		: 'persent',
Index: CKEditor/trunk/_source/lang/ar.js
===================================================================
--- CKEditor/trunk/_source/lang/ar.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/ar.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'أعمدة',
 		border		: 'الحدود',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'بكسل',
 		widthPc		: 'بالمئة',
Index: CKEditor/trunk/_source/lang/bg.js
===================================================================
--- CKEditor/trunk/_source/lang/bg.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/bg.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Колони',
 		border		: 'Размер на рамката',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'пиксели',
 		widthPc		: 'проценти',
Index: CKEditor/trunk/_source/lang/bn.js
===================================================================
--- CKEditor/trunk/_source/lang/bn.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/bn.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'কলাম',
 		border		: 'বর্ডার সাইজ',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'পিক্সেল',
 		widthPc		: 'শতকরা',
Index: CKEditor/trunk/_source/lang/bs.js
===================================================================
--- CKEditor/trunk/_source/lang/bs.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/bs.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Kolona',
 		border		: 'Okvir',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'piksela',
 		widthPc		: 'posto',
Index: CKEditor/trunk/_source/lang/ca.js
===================================================================
--- CKEditor/trunk/_source/lang/ca.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/ca.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Columnes',
 		border		: 'Mida vora',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'píxels',
 		widthPc		: 'percentatge',
Index: CKEditor/trunk/_source/lang/cs.js
===================================================================
--- CKEditor/trunk/_source/lang/cs.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/cs.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Sloupce',
 		border		: 'Ohraničení',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'bodů',
 		widthPc		: 'procent',
Index: CKEditor/trunk/_source/lang/cy.js
===================================================================
--- CKEditor/trunk/_source/lang/cy.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/cy.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Colofnau',
 		border		: 'Maint yr Ymyl',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'picsel',
 		widthPc		: 'y cant',
Index: CKEditor/trunk/_source/lang/da.js
===================================================================
--- CKEditor/trunk/_source/lang/da.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/da.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Kolonner',
 		border		: 'Rammebredde',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: 'procent',
Index: CKEditor/trunk/_source/lang/de.js
===================================================================
--- CKEditor/trunk/_source/lang/de.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/de.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Spalte',
 		border		: 'Rahmen',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'Pixel',
 		widthPc		: '%',
Index: CKEditor/trunk/_source/lang/el.js
===================================================================
--- CKEditor/trunk/_source/lang/el.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/el.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Κολώνες',
 		border		: 'Μέγεθος Περιθωρίου',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: '%',
Index: CKEditor/trunk/_source/lang/en-au.js
===================================================================
--- CKEditor/trunk/_source/lang/en-au.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/en-au.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Columns',
 		border		: 'Border size',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
Index: CKEditor/trunk/_source/lang/en-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/en-ca.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/en-ca.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Columns',
 		border		: 'Border size',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
Index: CKEditor/trunk/_source/lang/en-gb.js
===================================================================
--- CKEditor/trunk/_source/lang/en-gb.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/en-gb.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Columns',
 		border		: 'Border size',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
Index: CKEditor/trunk/_source/lang/en.js
===================================================================
--- CKEditor/trunk/_source/lang/en.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/en.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Columns',
 		border		: 'Border size',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).',
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).',
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
Index: CKEditor/trunk/_source/lang/eo.js
===================================================================
--- CKEditor/trunk/_source/lang/eo.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/eo.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Kolumnoj',
 		border		: 'Bordero',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'Bitbilderoj',
 		widthPc		: 'elcentoj',
Index: CKEditor/trunk/_source/lang/es.js
===================================================================
--- CKEditor/trunk/_source/lang/es.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/es.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Columnas',
 		border		: 'Tamaño de Borde',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixeles',
 		widthPc		: 'porcentaje',
Index: CKEditor/trunk/_source/lang/et.js
===================================================================
--- CKEditor/trunk/_source/lang/et.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/et.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Veerud',
 		border		: 'Joone suurus',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pikslit',
 		widthPc		: 'protsenti',
Index: CKEditor/trunk/_source/lang/eu.js
===================================================================
--- CKEditor/trunk/_source/lang/eu.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/eu.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Zutabeak',
 		border		: 'Ertzaren Zabalera',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixel',
 		widthPc		: 'ehuneko',
Index: CKEditor/trunk/_source/lang/fa.js
===================================================================
--- CKEditor/trunk/_source/lang/fa.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/fa.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'ستونها',
 		border		: 'اندازهٴ لبه',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'پیکسل',
 		widthPc		: 'درصد',
Index: CKEditor/trunk/_source/lang/fi.js
===================================================================
--- CKEditor/trunk/_source/lang/fi.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/fi.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Sarakkeet',
 		border		: 'Rajan paksuus',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pikseliä',
 		widthPc		: 'prosenttia',
Index: CKEditor/trunk/_source/lang/fo.js
===================================================================
--- CKEditor/trunk/_source/lang/fo.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/fo.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Kolonnur',
 		border		: 'Bordabreidd',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: 'prosent',
Index: CKEditor/trunk/_source/lang/fr-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/fr-ca.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/fr-ca.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Colonnes',
 		border		: 'Taille de la bordure',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: 'pourcentage',
Index: CKEditor/trunk/_source/lang/fr.js
===================================================================
--- CKEditor/trunk/_source/lang/fr.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/fr.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Colonnes',
 		border		: 'Taille de la bordure',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: '% pourcents',
Index: CKEditor/trunk/_source/lang/gl.js
===================================================================
--- CKEditor/trunk/_source/lang/gl.js	(revision 7205)
+++ CKEditor/trunk/_source/lang/gl.js	(revision 7206)
@@ -260,6 +260,4 @@
 		columns		: 'Columnas',
 		border		: 'Tamaño do Borde',
-		widthTitle : 'Table width specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		heightTitle : 'Table height specified with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		widthPx		: 'pixels',
 		widthPc		: 'percent',
Index: CKEditor/trunk/_source/plugins/table/dialogs/table.js
===================================================================
--- CKEditor/trunk/_source/plugins/table/dialogs/table.js	(revision 7205)
+++ CKEditor/trunk/_source/plugins/table/dialogs/table.js	(revision 7206)
@@ -429,5 +429,4 @@
 													controlStyle : 'width:5em',
 													label : editor.lang.common.width,
-													title : editor.lang.table.widthTitle,
 													'default' : 500,
 													getValue : defaultToPixel,
@@ -457,5 +456,4 @@
 													controlStyle : 'width:5em',
 													label : editor.lang.common.height,
-													title : editor.lang.table.heightTitle,
 													'default' : '',
 													getValue : defaultToPixel,