Index: CKEditor/releases/stable/lang/_translationstatus.txt
===================================================================
--- CKEditor/releases/stable/lang/_translationstatus.txt	(revision 7070)
+++ CKEditor/releases/stable/lang/_translationstatus.txt	(revision 7278)
@@ -1,61 +1,61 @@
-Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 549 Missing: 24
-ar.js      Found: 467 Missing: 106
-bg.js      Found: 291 Missing: 282
-bn.js      Found: 292 Missing: 281
-bs.js      Found: 175 Missing: 398
-ca.js      Found: 550 Missing: 23
-cs.js      Found: 550 Missing: 23
-cy.js      Found: 573 Missing: 0
-da.js      Found: 417 Missing: 156
-de.js      Found: 568 Missing: 5
-el.js      Found: 306 Missing: 267
-en-au.js   Found: 345 Missing: 228
-en-ca.js   Found: 345 Missing: 228
-en-gb.js   Found: 518 Missing: 55
-eo.js      Found: 270 Missing: 303
-es.js      Found: 570 Missing: 3
-et.js      Found: 320 Missing: 253
-eu.js      Found: 417 Missing: 156
-fa.js      Found: 322 Missing: 251
-fi.js      Found: 552 Missing: 21
-fo.js      Found: 551 Missing: 22
-fr-ca.js   Found: 319 Missing: 254
-fr.js      Found: 551 Missing: 22
-gl.js      Found: 292 Missing: 281
-gu.js      Found: 320 Missing: 253
-he.js      Found: 573 Missing: 0
-hi.js      Found: 322 Missing: 251
-hr.js      Found: 419 Missing: 154
-hu.js      Found: 542 Missing: 31
-is.js      Found: 326 Missing: 247
-it.js      Found: 418 Missing: 155
-ja.js      Found: 494 Missing: 79
-ka.js      Found: 569 Missing: 4
-km.js      Found: 286 Missing: 287
-ko.js      Found: 304 Missing: 269
-lt.js      Found: 326 Missing: 247
-lv.js      Found: 294 Missing: 279
-mn.js      Found: 320 Missing: 253
-ms.js      Found: 276 Missing: 297
-nb.js      Found: 550 Missing: 23
-nl.js      Found: 570 Missing: 3
-no.js      Found: 550 Missing: 23
-pl.js      Found: 573 Missing: 0
-pt-br.js   Found: 535 Missing: 38
-pt.js      Found: 293 Missing: 280
-ro.js      Found: 317 Missing: 256
-ru.js      Found: 484 Missing: 89
-sk.js      Found: 365 Missing: 208
-sl.js      Found: 426 Missing: 147
-sr-latn.js Found: 287 Missing: 286
-sr.js      Found: 286 Missing: 287
-sv.js      Found: 551 Missing: 22
-th.js      Found: 298 Missing: 275
-tr.js      Found: 536 Missing: 37
-uk.js      Found: 544 Missing: 29
-vi.js      Found: 493 Missing: 80
-zh-cn.js   Found: 548 Missing: 25
-zh.js      Found: 419 Missing: 154
+af.js      Found: 549 Missing: 27
+ar.js      Found: 467 Missing: 109
+bg.js      Found: 291 Missing: 285
+bn.js      Found: 292 Missing: 284
+bs.js      Found: 175 Missing: 401
+ca.js      Found: 550 Missing: 26
+cs.js      Found: 550 Missing: 26
+cy.js      Found: 573 Missing: 3
+da.js      Found: 417 Missing: 159
+de.js      Found: 576 Missing: 0
+el.js      Found: 306 Missing: 270
+en-au.js   Found: 345 Missing: 231
+en-ca.js   Found: 345 Missing: 231
+en-gb.js   Found: 518 Missing: 58
+eo.js      Found: 270 Missing: 306
+es.js      Found: 576 Missing: 0
+et.js      Found: 575 Missing: 1
+eu.js      Found: 417 Missing: 159
+fa.js      Found: 576 Missing: 0
+fi.js      Found: 576 Missing: 0
+fo.js      Found: 551 Missing: 25
+fr-ca.js   Found: 319 Missing: 257
+fr.js      Found: 551 Missing: 25
+gl.js      Found: 292 Missing: 284
+gu.js      Found: 320 Missing: 256
+he.js      Found: 576 Missing: 0
+hi.js      Found: 322 Missing: 254
+hr.js      Found: 419 Missing: 157
+hu.js      Found: 573 Missing: 3
+is.js      Found: 326 Missing: 250
+it.js      Found: 573 Missing: 3
+ja.js      Found: 494 Missing: 82
+ka.js      Found: 569 Missing: 7
+km.js      Found: 286 Missing: 290
+ko.js      Found: 304 Missing: 272
+lt.js      Found: 576 Missing: 0
+lv.js      Found: 294 Missing: 282
+mn.js      Found: 320 Missing: 256
+ms.js      Found: 276 Missing: 300
+nb.js      Found: 575 Missing: 1
+nl.js      Found: 576 Missing: 0
+no.js      Found: 575 Missing: 1
+pl.js      Found: 576 Missing: 0
+pt-br.js   Found: 576 Missing: 0
+pt.js      Found: 293 Missing: 283
+ro.js      Found: 317 Missing: 259
+ru.js      Found: 576 Missing: 0
+sk.js      Found: 365 Missing: 211
+sl.js      Found: 426 Missing: 150
+sr-latn.js Found: 287 Missing: 289
+sr.js      Found: 286 Missing: 290
+sv.js      Found: 551 Missing: 25
+th.js      Found: 298 Missing: 278
+tr.js      Found: 536 Missing: 40
+uk.js      Found: 544 Missing: 32
+vi.js      Found: 493 Missing: 83
+zh-cn.js   Found: 576 Missing: 0
+zh.js      Found: 419 Missing: 157