Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7337)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7338)
@@ -59,3 +59,3 @@
 vi.js      Found: 576 Missing: 0
 zh-cn.js   Found: 576 Missing: 0
-zh.js      Found: 419 Missing: 157
+zh.js      Found: 434 Missing: 142
Index: CKEditor/trunk/_source/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/lang/zh-cn.js	(revision 7337)
+++ CKEditor/trunk/_source/lang/zh-cn.js	(revision 7338)
@@ -608,6 +608,6 @@
 	iframe :
 	{
-		title		: 'iFrame属性',
-		toolbar		: 'iFrame',
+		title		: 'IFrame 属性',
+		toolbar		: 'IFrame',
 		noUrl		: '请输入框架的 URL',
 		scrolling	: '允许滚动条',
@@ -811,5 +811,5 @@
 		metaAuthor : '作者',
 		metaCopyright : '版权',
-		previewHtml : '<p>This is some <strong>sample text</strong>. You are using <a href="javascript:void(0)">CKEditor</a>.</p>'
+		previewHtml : '<p>这是一些<strong>演示用文字</strong>。你当前正在使用<a href="javascript:void(0)">CKEditor</a>。</p>'
 	}
 };
Index: CKEditor/trunk/_source/lang/zh.js
===================================================================
--- CKEditor/trunk/_source/lang/zh.js	(revision 7337)
+++ CKEditor/trunk/_source/lang/zh.js	(revision 7338)
@@ -32,9 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+	editorTitle : '富文本編輯器，%1，按 ALT+0 以獲得幫助。',
 
 	// ARIA descriptions.
-	toolbars	: 'Editor toolbars', // MISSING
-	editor		: 'Rich Text Editor', // MISSING
+	toolbars	: '編輯器工具欄',
+	editor		: '富文本編輯器',
 
 	// Toolbar buttons without dialogs.
@@ -57,5 +57,5 @@
 	horizontalrule	: '插入水平線',
 	pagebreak		: '插入分頁符號',
-	pagebreakAlt		: 'Page Break', // MISSING
+	pagebreakAlt		: '分頁符號',
 	unlink			: '移除超連結',
 	undo			: '復原',
@@ -94,6 +94,6 @@
 		ok				: '確定',
 		cancel			: '取消',
-		close			: 'Close', // MISSING
-		preview			: 'Preview', // MISSING
+		close			: '关闭',
+		preview			: '预览',
 		generalTab		: '一般',
 		advancedTab		: '進階',
@@ -101,10 +101,10 @@
 		confirmNewPage	: '現存的修改尚未儲存，要開新檔案？',
 		confirmCancel	: '部份選項尚未儲存，要關閉對話盒？',
-		options			: 'Options', // MISSING
-		target			: 'Target', // MISSING
-		targetNew		: 'New Window (_blank)', // MISSING
-		targetTop		: 'Topmost Window (_top)', // MISSING
-		targetSelf		: 'Same Window (_self)', // MISSING
-		targetParent	: 'Parent Window (_parent)', // MISSING
+		options			: '选项',
+		target			: '目标',
+		targetNew		: '新窗口(_blank)',
+		targetTop		: '整页(_top)',
+		targetSelf		: '本窗口(_self)',
+		targetParent	: '父窗口(_parent)',
 		langDirLTR		: 'Left to Right (LTR)', // MISSING
 		langDirRTL		: 'Right to Left (RTL)', // MISSING
@@ -728,5 +728,5 @@
 
 	maximize : '最大化',
-	minimize : 'Minimize', // MISSING
+	minimize : '最小化',
 
 	fakeobjects :
@@ -750,6 +750,6 @@
 	},
 
-	toolbarCollapse	: 'Collapse Toolbar', // MISSING
-	toolbarExpand	: 'Expand Toolbar', // MISSING
+	toolbarCollapse	: '折叠工具栏',
+	toolbarExpand	: '展开工具栏',
 
 	toolbarGroups :
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt	(revision 7337)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt	(revision 7338)
@@ -2,5 +2,5 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-cs.js      Found: 28 Missing: 2
+cs.js      Found: 30 Missing: 0
 cy.js      Found: 30 Missing: 0
 de.js      Found: 30 Missing: 0
@@ -12,2 +12,3 @@
 he.js      Found: 30 Missing: 0
 it.js      Found: 30 Missing: 0
+zh-cn.js   Found: 27 Missing: 3
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/cs.js
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/cs.js	(revision 7337)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/cs.js	(revision 7338)
@@ -37,5 +37,5 @@
 								name : 'Rámeček seznamu editoru',
 								legend :
-									'Inside a list-box, move to next list item with TAB OR DOWN ARROW. Move to previous list item with SHIFT + TAB or UP ARROW. Press SPACE or ENTER to select the list option. Press ESC to close the list-box.'  // MISSING
+									'Uvnitř rámečku seznamu se přesunete na další položku menu pomocí TAB nebo ŠIPKA DOLŮ. Na předchozí položku se přesunete SHIFT + TAB nebo ŠIPKA NAHORU. Stiskněte MEZERNÍK nebo ENTER pro zvolení možnosti seznamu. Stiskněte ESC pro uzavření seznamu.' 
 							},
 
@@ -43,5 +43,5 @@
 								name : 'Lišta cesty prvku v editoru',
 								legend :
-									'Press ${elementsPathFocus} to navigate to the elements path bar. Move to next element button with TAB or RIGHT ARROW. Move to previous button with  SHIFT+TAB or LEFT ARROW. Press SPACE or ENTER to select the element in editor.'  // MISSING
+									'Stiskněte ${elementsPathFocus} pro procházení lišty cesty prvku. Na další tlačítko prvku se přesunete pomocí TAB nebo ŠIPKA VPRAVO. Na předchozí položku se přesunete pomocí SHIFT + TAB nebo ŠIPKA VLEVO. Stiskněte MEZERNÍK nebo ENTER pro vybrání prvku v editoru.' 
 							}
 						]
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/zh-cn.js	(revision 7338)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/zh-cn.js	(revision 7338)
@@ -0,0 +1,89 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'a11yhelp', 'zh-cn',
+{
+	accessibilityHelp :
+	{
+		title : '辅助说明',
+		contents : '帮助内容。要关闭此对话框请按 ESC 键。',
+		legend :
+		[
+			{
+				name : '常规',
+				items :
+						[
+							{
+								name : '编辑器工具栏',
+								legend:
+									'按 ${toolbarFocus} 以导航到工具栏，使用 TAB 键或 SHIFT+TAB 组合键以选择工具栏组，使用左右箭头键以选择按钮，按空格键或回车键以应用选中的按钮。' 
+							},
+
+							{
+								name : '编辑器对话框',
+								legend :
+									'Inside a dialog, press TAB to navigate to next dialog field, press SHIFT + TAB to move to previous field, press ENTER to submit dialog, press ESC to cancel dialog. For dialogs that have multiple tab pages, press ALT + F10 to navigate to tab-list. Then move to next tab with TAB OR RIGTH ARROW. Move to previous tab with SHIFT + TAB or LEFT ARROW. Press SPACE or ENTER to select the tab page.'  // MISSING
+							},
+
+							{
+								name : '编辑器上下文菜单',
+								legend :
+									'Press ${contextMenu} or APPLICATION KEY to open context-menu. Then move to next menu option with TAB or DOWN ARROW. Move to previous option with  SHIFT+TAB or UP ARROW. Press SPACE or ENTER to select the menu option. Open sub-menu of current option wtih SPACE or ENTER or RIGHT ARROW. Go back to parent menu item with ESC or LEFT ARROW. Close context menu with ESC.'  // MISSING
+							},
+
+							{
+								name : '编辑器列表框',
+								legend :
+									'Inside a list-box, move to next list item with TAB OR DOWN ARROW. Move to previous list item with SHIFT + TAB or UP ARROW. Press SPACE or ENTER to select the list option. Press ESC to close the list-box.'  // MISSING
+							},
+
+							{
+								name : '编辑器元素路径栏',
+								legend :
+									'按 ${elementsPathFocus} 以导航到元素路径栏，使用 TAB 键或右箭头键选择下一个元素，使用 SHIFT+TAB 组合键或左箭头键选择上一个元素，按空格键或回车键以选定编辑器里的元素。' 
+							}
+						]
+			},
+			{
+				name : '命令',
+				items :
+						[
+							{
+								name : ' 撤消命令',
+								legend : '按 ${undo}'
+							},
+							{
+								name : ' 重做命令',
+								legend : '按 ${redo}'
+							},
+							{
+								name : ' 加粗命令',
+								legend : '按 ${bold}'
+							},
+							{
+								name : ' 倾斜命令',
+								legend : '按 ${italic}'
+							},
+							{
+								name : ' 下划线命令',
+								legend : '按 ${underline}'
+							},
+							{
+								name : ' 链接命令',
+								legend : '按 ${link}'
+							},
+							{
+								name : ' 工具栏折叠命令',
+								legend : '按 ${toolbarCollapse}'
+							},
+							{
+								name : ' 无障碍设计说明',
+								legend : '按 ${a11yHelp}'
+							}
+						]
+			}
+		]
+	}
+});
Index: CKEditor/trunk/_source/plugins/devtools/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/devtools/lang/_translationstatus.txt	(revision 7337)
+++ CKEditor/trunk/_source/plugins/devtools/lang/_translationstatus.txt	(revision 7338)
@@ -14,2 +14,3 @@
 it.js      Found: 5 Missing: 0
 pl.js      Found: 5 Missing: 0
+zh-cn.js   Found: 5 Missing: 0
Index: CKEditor/trunk/_source/plugins/devtools/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/plugins/devtools/lang/zh-cn.js	(revision 7338)
+++ CKEditor/trunk/_source/plugins/devtools/lang/zh-cn.js	(revision 7338)
@@ -0,0 +1,16 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'devtools', 'zh-cn',
+{
+	devTools :
+	{
+		title		: '元素信息',
+		dialogName	: '对话框窗口名称',
+		tabName		: 'Tab 名称',
+		elementId	: '元素 ID',
+		elementType	: '元素类型'
+	}
+});
Index: CKEditor/trunk/_source/plugins/placeholder/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/placeholder/lang/_translationstatus.txt	(revision 7337)
+++ CKEditor/trunk/_source/plugins/placeholder/lang/_translationstatus.txt	(revision 7338)
@@ -13,2 +13,3 @@
 it.js      Found: 5 Missing: 0
 pl.js      Found: 5 Missing: 0
+zh-cn.js   Found: 5 Missing: 0
Index: CKEditor/trunk/_source/plugins/placeholder/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/plugins/placeholder/lang/zh-cn.js	(revision 7338)
+++ CKEditor/trunk/_source/plugins/placeholder/lang/zh-cn.js	(revision 7338)
@@ -0,0 +1,16 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'placeholder', 'zh-cn',
+{
+	placeholder :
+	{
+		title		: '占位符属性',
+		toolbar		: '创建占位符',
+		text		: '占位符文字',
+		edit		: '编辑占位符',
+		textMissing	: '占位符必需包含有文字'
+	}
+});
Index: CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt	(revision 7337)
+++ CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt	(revision 7338)
@@ -9,2 +9,3 @@
 fr.js      Found: 118 Missing: 0
 it.js      Found: 118 Missing: 0
+zh-cn.js   Found: 118 Missing: 0
Index: CKEditor/trunk/_source/plugins/specialchar/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/plugins/specialchar/lang/zh-cn.js	(revision 7338)
+++ CKEditor/trunk/_source/plugins/specialchar/lang/zh-cn.js	(revision 7338)
@@ -0,0 +1,126 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'specialchar', 'zh-cn',
+{
+	euro: '欧元符号',
+	lsquo: '左单引号',
+	rsquo: '右单引号',
+	ldquo: '左双引号',
+	rdquo: '右双引号',
+	ndash: '短划线',
+	mdash: '破折号',
+	iexcl: '竖翻叹号',
+	cent: '分币标记',
+	pound: '英镑标记',
+	curren: '货币标记',
+	yen: '日元标记',
+	brvbar: '间断条',
+	sect: '节标记',
+	uml: '分音符',
+	copy: '版权所有标记',
+	ordf: '阴性顺序指示符',
+	laquo: '左指双尖引号',
+	not: '非标记',
+	reg: '注册标记',
+	macr: '长音符',
+	deg: '度标记',
+	sup2: '上标二',
+	sup3: '上标三',
+	acute: '锐音符',
+	micro: '微符',
+	para: '段落标记',
+	middot: '中间点',
+	cedil: '下加符',
+	sup1: '上标一',
+	ordm: '阳性顺序指示符',
+	raquo: '右指双尖引号',
+	frac14: '普通分数四分之一',
+	frac12: '普通分数二分之一',
+	frac34: '普通分数四分之三',
+	iquest: '竖翻问号',
+	Agrave: '带抑音符的拉丁文大写字母 A',
+	Aacute: '带锐音符的拉丁文大写字母 A',
+	Acirc: '带扬抑符的拉丁文大写字母 A',
+	Atilde: '带颚化符的拉丁文大写字母 A',
+	Auml: '带分音符的拉丁文大写字母 A',
+	Aring: '带上圆圈的拉丁文大写字母 A',
+	AElig: '拉丁文大写字母 Ae',
+	Ccedil: '带下加符的拉丁文大写字母 C',
+	Egrave: '带抑音符的拉丁文大写字母 E',
+	Eacute: '带锐音符的拉丁文大写字母 E',
+	Ecirc: '带扬抑符的拉丁文大写字母 E',
+	Euml: '带分音符的拉丁文大写字母 E',
+	Igrave: '带抑音符的拉丁文大写字母 I',
+	Iacute: '带锐音符的拉丁文大写字母 I',
+	Icirc: '带扬抑符的拉丁文大写字母 I',
+	Iuml: '带分音符的拉丁文大写字母 I',
+	ETH: '拉丁文大写字母 Eth',
+	Ntilde: '带颚化符的拉丁文大写字母 N',
+	Ograve: '带抑音符的拉丁文大写字母 O',
+	Oacute: '带锐音符的拉丁文大写字母 O',
+	Ocirc: '带扬抑符的拉丁文大写字母 O',
+	Otilde: '带颚化符的拉丁文大写字母 O',
+	Ouml: '带分音符的拉丁文大写字母 O',
+	times: '乘号',
+	Oslash: '带粗线的拉丁文大写字母 O',
+	Ugrave: '带抑音符的拉丁文大写字母 U',
+	Uacute: '带锐音符的拉丁文大写字母 U',
+	Ucirc: '带扬抑符的拉丁文大写字母 U',
+	Uuml: '带分音符的拉丁文大写字母 U',
+	Yacute: '带抑音符的拉丁文大写字母 Y',
+	THORN: '拉丁文大写字母 Thorn',
+	szlig: '拉丁文小写字母清音 S',
+	agrave: '带抑音符的拉丁文小写字母 A',
+	aacute: '带锐音符的拉丁文小写字母 A',
+	acirc: '带扬抑符的拉丁文小写字母 A',
+	atilde: '带颚化符的拉丁文小写字母 A',
+	auml: '带分音符的拉丁文小写字母 A',
+	aring: '带上圆圈的拉丁文小写字母 A',
+	aelig: '拉丁文小写字母 Ae',
+	ccedil: '带下加符的拉丁文小写字母 C',
+	egrave: '带抑音符的拉丁文小写字母 E',
+	eacute: '带锐音符的拉丁文小写字母 E',
+	ecirc: '带扬抑符的拉丁文小写字母 E',
+	euml: '带分音符的拉丁文小写字母 E',
+	igrave: '带抑音符的拉丁文小写字母 I',
+	iacute: '带锐音符的拉丁文小写字母 I',
+	icirc: '带扬抑符的拉丁文小写字母 I',
+	iuml: '带分音符的拉丁文小写字母 I',
+	eth: '拉丁文小写字母 Eth',
+	ntilde: '带颚化符的拉丁文小写字母 N',
+	ograve: '带抑音符的拉丁文小写字母 O',
+	oacute: '带锐音符的拉丁文小写字母 O',
+	ocirc: '带扬抑符的拉丁文小写字母 O',
+	otilde: '带颚化符的拉丁文小写字母 O',
+	ouml: '带分音符的拉丁文小写字母 O',
+	divide: '除号',
+	oslash: '带粗线的拉丁文小写字母 O',
+	ugrave: '带抑音符的拉丁文小写字母 U',
+	uacute: '带锐音符的拉丁文小写字母 U',
+	ucirc: '带扬抑符的拉丁文小写字母 U',
+	uuml: '带分音符的拉丁文小写字母 U',
+	yacute: '带抑音符的拉丁文小写字母 Y',
+	thorn: '拉丁文小写字母 Thorn',
+	yuml: '带分音符的拉丁文小写字母 Y',
+	OElig: '拉丁文大写连字 Oe',
+	oelig: '拉丁文小写连字 Oe',
+	'372': '带扬抑符的拉丁文大写字母 W',
+	'374': '带扬抑符的拉丁文大写字母 Y',
+	'373': '带扬抑符的拉丁文小写字母 W',
+	'375': '带扬抑符的拉丁文小写字母 Y',
+	sbquo: '单下 9 形引号',
+	'8219': '单高横翻 9 形引号',
+	bdquo: '双下 9 形引号',
+	hellip: '水平省略号',
+	trade: '商标标志',
+	'9658': '实心右指指针',
+	bull: '加重号',
+	rarr: '向右箭头',
+	rArr: '向右双线箭头',
+	hArr: '左右双线箭头',
+	diams: '实心方块纸牌',
+	asymp: '约等于'
+});
Index: CKEditor/trunk/_source/plugins/uicolor/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/uicolor/lang/_translationstatus.txt	(revision 7337)
+++ CKEditor/trunk/_source/plugins/uicolor/lang/_translationstatus.txt	(revision 7338)
@@ -14,2 +14,3 @@
 pl.js      Found: 4 Missing: 0
 vi.js      Found: 4 Missing: 0
+zh-cn.js   Found: 4 Missing: 0
Index: CKEditor/trunk/_source/plugins/uicolor/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/plugins/uicolor/lang/zh-cn.js	(revision 7338)
+++ CKEditor/trunk/_source/plugins/uicolor/lang/zh-cn.js	(revision 7338)
@@ -0,0 +1,15 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'uicolor', 'zh-cn',
+{
+	uicolor :
+	{
+		title : '用户界面颜色选择器',
+		preview : '即时预览',
+		config : '粘贴此字符串到你的 config.js 文件',
+		predefined : '预定义颜色集'
+	}
+});