Index: CKEditor/trunk/_source/lang/el.js
===================================================================
--- CKEditor/trunk/_source/lang/el.js	(revision 7215)
+++ CKEditor/trunk/_source/lang/el.js	(revision 7361)
@@ -35,6 +35,6 @@
 
 	// ARIA descriptions.
-	toolbars	: 'Editor toolbars', // MISSING
-	editor		: 'Rich Text Editor', // MISSING
+	toolbars	: 'Εργαλειοθήκες Επεξεργαστή',
+	editor		: 'Επεξεργαστής Πλούσιου Κειμένου',
 
 	// Toolbar buttons without dialogs.
@@ -57,5 +57,5 @@
 	horizontalrule	: 'Εισαγωγή Οριζόντιας Γραμμής',
 	pagebreak		: 'Εισαγωγή τέλους σελίδας',
-	pagebreakAlt		: 'Page Break', // MISSING
+	pagebreakAlt		: 'Αλλαγή Σελίδας',
 	unlink			: 'Αφαίρεση Συνδέσμου (Link)',
 	undo			: 'Αναίρεση',
@@ -67,6 +67,6 @@
 		browseServer	: 'Εξερεύνηση διακομιστή',
 		url				: 'URL',
-		protocol		: 'Προτόκολο',
-		upload			: 'Αποστολή',
+		protocol		: 'Πρωτόκολλο',
+		upload			: 'Ανέβασμα',
 		uploadSubmit	: 'Αποστολή στον Διακομιστή',
 		image			: 'Εικόνα',
@@ -74,5 +74,5 @@
 		form			: 'Φόρμα',
 		checkbox		: 'Κουτί επιλογής',
-		radio			: 'Κουμπί Radio',
+		radio			: 'Κουμπί επιλογής',
 		textField		: 'Πεδίο κειμένου',
 		textarea		: 'Περιοχή κειμένου',
@@ -81,5 +81,5 @@
 		select			: 'Πεδίο επιλογής',
 		imageButton		: 'Κουμπί εικόνας',
-		notSet			: '<χωρίς>',
+		notSet			: '<δεν έχει ρυθμιστεί>',
 		id				: 'Id',
 		name			: 'Όνομα',
@@ -90,34 +90,34 @@
 		longDescr		: 'Αναλυτική περιγραφή URL',
 		cssClass		: 'Stylesheet Classes',
-		advisoryTitle	: 'Συμβουλευτικός τίτλος',
-		cssStyle		: 'Στύλ',
+		advisoryTitle	: 'Ενδεικτικός τίτλος',
+		cssStyle		: 'Μορφή κειμένου',
 		ok				: 'OK',
 		cancel			: 'Ακύρωση',
-		close			: 'Close', // MISSING
-		preview			: 'Preview', // MISSING
-		generalTab		: 'General', // MISSING
+		close			: 'Κλείσιμο',
+		preview			: 'Προεπισκόπηση',
+		generalTab		: 'Γενικά',
 		advancedTab		: 'Για προχωρημένους',
-		validateNumberFailed : 'This value is not a number.', // MISSING
-		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
-		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
-		options			: 'Options', // MISSING
-		target			: 'Target', // MISSING
-		targetNew		: 'New Window (_blank)', // MISSING
-		targetTop		: 'Topmost Window (_top)', // MISSING
-		targetSelf		: 'Same Window (_self)', // MISSING
-		targetParent	: 'Parent Window (_parent)', // MISSING
+		validateNumberFailed : 'Αυτή η τιμή δεν είναι αριθμός.',
+		confirmNewPage	: 'Οι όποιες αλλαγές στο περιεχόμενο θα χαθούν. Είσαστε σίγουροι ότι θέλετε να φορτώσετε μια νέα σελίδα;',
+		confirmCancel	: 'Μερικές επιλογές έχουν αλλάξει. Είσαστε σίγουροι ότι θέλετε να κλείσετε το παράθυρο διαλόγου;',
+		options			: 'Επιλογές',
+		target			: 'Προορισμός',
+		targetNew		: 'Νέο Παράθυρο (_blank)',
+		targetTop		: 'Αρχική Περιοχή (_top)',
+		targetSelf		: 'Ίδια Περιοχή (_self)',
+		targetParent	: 'Γονεϊκό Παράθυρο (_parent)',
 		langDirLTR		: 'Left to Right (LTR)', // MISSING
 		langDirRTL		: 'Right to Left (RTL)', // MISSING
-		styles			: 'Style', // MISSING
+		styles			: 'Μορφή',
 		cssClasses		: 'Stylesheet Classes', // MISSING
 		width			: 'Πλάτος',
 		height			: 'Ύψος',
-		align			: 'Ευθυγράμμιση (Align)',
+		align			: 'Στοίχιση',
 		alignLeft		: 'Αριστερά',
-		alignRight		: 'Δεξιά (Right)',
+		alignRight		: 'Δεξιά',
 		alignCenter		: 'Κέντρο',
-		alignTop		: 'Πάνω (Top)',
-		alignMiddle		: 'Μέση (Middle)',
-		alignBottom		: 'Κάτω (Bottom)',
+		alignTop		: 'Πάνω',
+		alignMiddle		: 'Μέση',
+		alignBottom		: 'Κάτω',
 		invalidHeight	: 'Height must be a number.', // MISSING
 		invalidWidth	: 'Width must be a number.', // MISSING
@@ -139,6 +139,6 @@
 	specialChar		:
 	{
-		toolbar		: 'Εισαγωγή Ειδικού Συμβόλου',
-		title		: 'Επιλέξτε ένα Ειδικό Σύμβολο',
+		toolbar		: 'Εισαγωγή Ειδικού Χαρακτήρα',
+		title		: 'Επιλέξτε έναν Ειδικό Χαρακτήρα',
 		options : 'Special Character Options' // MISSING
 	},
@@ -147,49 +147,49 @@
 	link :
 	{
-		toolbar		: 'Εισαγωγή/Μεταβολή Συνδέσμου (Link)',
-		other 		: '<άλλος>',
-		menu		: 'Μεταβολή Συνδέσμου (Link)',
-		title		: 'Σύνδεσμος (Link)',
-		info		: 'Link',
-		target		: 'Παράθυρο Στόχος (Target)',
-		upload		: 'Αποστολή',
+		toolbar		: 'Σύνδεσμος',
+		other 		: '<άλλο>',
+		menu		: 'Επεξεργασία Συνδέσμου',
+		title		: 'Σύνδεσμος',
+		info		: 'Πληροφορίες Συνδέσμου',
+		target		: 'Παράθυρο Προορισμού',
+		upload		: 'Ανέβασμα',
 		advanced	: 'Για προχωρημένους',
-		type		: 'Τύπος συνδέσμου (Link)',
+		type		: 'Τύπος Συνδέσμου',
 		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Άγκυρα σε αυτή τη σελίδα',
 		toEmail		: 'E-Mail',
 		targetFrame		: '<πλαίσιο>',
-		targetPopup		: '<παράθυρο popup>',
-		targetFrameName	: 'Όνομα πλαισίου στόχου',
-		targetPopupName	: 'Όνομα Popup Window',
-		popupFeatures	: 'Επιλογές Popup Window',
+		targetPopup		: '<αναδυόμενο παράθυρο>',
+		targetFrameName	: 'Όνομα Παραθύρου Προορισμού',
+		targetPopupName	: 'Όνομα Αναδυόμενου Παραθύρου',
+		popupFeatures	: 'Επιλογές Αναδυόμενου Παραθύρου',
 		popupResizable	: 'Resizable', // MISSING
-		popupStatusBar	: 'Μπάρα Status',
-		popupLocationBar: 'Μπάρα Τοποθεσίας',
-		popupToolbar	: 'Μπάρα Εργαλείων',
-		popupMenuBar	: 'Μπάρα Menu',
-		popupFullScreen	: 'Ολόκληρη η Οθόνη (IE)',
+		popupStatusBar	: 'Γραμμή Κατάστασης',
+		popupLocationBar: 'Γραμμή Τοποθεσίας',
+		popupToolbar	: 'Εργαλειοθήκη',
+		popupMenuBar	: 'Γραμμή Επιλογών',
+		popupFullScreen	: 'Πλήρης Οθόνη (IE)',
 		popupScrollBars	: 'Μπάρες Κύλισης',
-		popupDependent	: 'Dependent (Netscape)',
-		popupLeft		: 'Τοποθεσία Αριστερής Άκρης',
-		popupTop		: 'Τοποθεσία Πάνω Άκρης',
+		popupDependent	: 'Εξαρτημένο (Netscape)',
+		popupLeft		: 'Θέση Αριστερά',
+		popupTop		: 'Θέση Πάνω',
 		id				: 'Id', // MISSING
-		langDir			: 'Κατεύθυνση κειμένου',
+		langDir			: 'Κατεύθυνση Κειμένου',
 		langDirLTR		: 'Αριστερά προς Δεξιά (LTR)',
 		langDirRTL		: 'Δεξιά προς Αριστερά (RTL)',
-		acccessKey		: 'Συντόμευση (Access Key)',
+		acccessKey		: 'Συντόμευση',
 		name			: 'Όνομα',
-		langCode			: 'Κατεύθυνση κειμένου',
-		tabIndex			: 'Tab Index',
-		advisoryTitle		: 'Συμβουλευτικός τίτλος',
-		advisoryContentType	: 'Συμβουλευτικός τίτλος περιεχομένου',
+		langCode			: 'Κατεύθυνση Κειμένου',
+		tabIndex			: 'Σειρά Μεταπήδησης',
+		advisoryTitle		: 'Ενδεικτικός Τίτλος',
+		advisoryContentType	: 'Ενδεικτικός Τύπος Περιεχομένου',
 		cssClasses		: 'Stylesheet Classes',
-		charset			: 'Linked Resource Charset',
-		styles			: 'Στύλ',
+		charset			: 'Κωδικοποίηση Χαρακτήρων Προσαρτημένης Πηγής',
+		styles			: 'Μορφή',
 		rel			: 'Relationship', // MISSING
 		selectAnchor		: 'Επιλέξτε μια άγκυρα',
-		anchorName		: 'Βάσει του Ονόματος (Name) της άγκυρας',
+		anchorName		: 'Βάσει του Ονόματος της άγκυρας',
 		anchorId			: 'Βάσει του Element Id',
-		emailAddress		: 'Διεύθυνση Ηλεκτρονικού Ταχυδρομείου',
+		emailAddress		: 'Διεύθυνση e-mail',
 		emailSubject		: 'Θέμα Μηνύματος',
 		emailBody		: 'Κείμενο Μηνύματος',
@@ -202,5 +202,5 @@
 	anchor :
 	{
-		toolbar		: 'Εισαγωγή/επεξεργασία Anchor',
+		toolbar		: 'Εισαγωγή/επεξεργασία Άγκυρας',
 		menu		: 'Ιδιότητες άγκυρας',
 		title		: 'Ιδιότητες άγκυρας',
@@ -240,5 +240,5 @@
 		find				: 'Αναζήτηση',
 		replace				: 'Αντικατάσταση',
-		findWhat			: 'Αναζήτηση:',
+		findWhat			: 'Αναζήτηση για:',
 		replaceWith			: 'Αντικατάσταση με:',
 		notFoundMsg			: 'Το κείμενο δεν βρέθηκε.',
@@ -260,11 +260,11 @@
 		rows		: 'Γραμμές',
 		columns		: 'Κολώνες',
-		border		: 'Μέγεθος Περιθωρίου',
+		border		: 'Πάχος Περιγράμματος',
 		widthPx		: 'pixels',
-		widthPc		: '%',
+		widthPc		: 'τοις εκατό',
 		widthUnit	: 'width unit', // MISSING
-		cellSpace	: 'Απόσταση κελιών',
+		cellSpace	: 'Διάστημα κελιών',
 		cellPad		: 'Γέμισμα κελιών',
-		caption		: 'Υπέρτιτλος',
+		caption		: 'Λεζάντα',
 		summary		: 'Περίληψη',
 		headers		: 'Headers', // MISSING
@@ -333,9 +333,9 @@
 	button :
 	{
-		title		: 'Ιδιότητες κουμπιού',
+		title		: 'Ιδιότητες Κουμπιού',
 		text		: 'Κείμενο (Τιμή)',
 		type		: 'Τύπος',
 		typeBtn		: 'Κουμπί',
-		typeSbm		: 'Καταχώρηση',
+		typeSbm		: 'Υποβολή',
 		typeRst		: 'Επαναφορά'
 	},
@@ -344,6 +344,6 @@
 	checkboxAndRadio :
 	{
-		checkboxTitle : 'Ιδιότητες κουμπιού επιλογής',
-		radioTitle	: 'Ιδιότητες κουμπιού radio',
+		checkboxTitle : 'Ιδιότητες Κουτιού Επιλογής',
+		radioTitle	: 'Ιδιότητες Κουμπιού Επιλογής',
 		value		: 'Τιμή',
 		selected	: 'Επιλεγμένο'
@@ -353,8 +353,8 @@
 	form :
 	{
-		title		: 'Ιδιότητες φόρμας',
-		menu		: 'Ιδιότητες φόρμας',
+		title		: 'Ιδιότητες Φόρμας',
+		menu		: 'Ιδιότητες Φόρμας',
 		action		: 'Δράση',
-		method		: 'Μάθοδος',
+		method		: 'Μέθοδος',
 		encoding	: 'Encoding' // MISSING
 	},
@@ -363,18 +363,18 @@
 	select :
 	{
-		title		: 'Ιδιότητες πεδίου επιλογής',
-		selectInfo	: 'Πληροφορίες',
-		opAvail		: 'Διαθέσιμες επιλογές',
+		title		: 'Ιδιότητες Πεδίου Επιλογής',
+		selectInfo	: 'Πληροφορίες Πεδίου Επιλογής',
+		opAvail		: 'Διαθέσιμες Επιλογές',
 		value		: 'Τιμή',
 		size		: 'Μέγεθος',
 		lines		: 'γραμμές',
-		chkMulti	: 'Πολλαπλές επιλογές',
+		chkMulti	: 'Να επιτρέπονται οι πολλαπλές επιλογές',
 		opText		: 'Κείμενο',
 		opValue		: 'Τιμή',
 		btnAdd		: 'Προσθήκη',
-		btnModify	: 'Αλλαγή',
+		btnModify	: 'Τροποποίηση',
 		btnUp		: 'Πάνω',
 		btnDown		: 'Κάτω',
-		btnSetValue : 'Προεπιλεγμένη επιλογή',
+		btnSetValue : 'Προεπιλογή',
 		btnDelete	: 'Διαγραφή'
 	},
@@ -383,5 +383,5 @@
 	textarea :
 	{
-		title		: 'Ιδιότητες περιοχής κειμένου',
+		title		: 'Ιδιότητες Περιοχής Κειμένου',
 		cols		: 'Στήλες',
 		rows		: 'Σειρές'
@@ -391,8 +391,8 @@
 	textfield :
 	{
-		title		: 'Ιδιότητες πεδίου κειμένου',
+		title		: 'Ιδιότητες Πεδίου Κειμένου',
 		name		: 'Όνομα',
 		value		: 'Τιμή',
-		charWidth	: 'Μήκος χαρακτήρων',
+		charWidth	: 'Πλάτος Χαρακτήρων',
 		maxChars	: 'Μέγιστοι χαρακτήρες',
 		type		: 'Τύπος',
@@ -404,5 +404,5 @@
 	hidden :
 	{
-		title	: 'Ιδιότητες κρυφού πεδίου',
+		title	: 'Ιδιότητες Κρυφού Πεδίου',
 		name	: 'Όνομα',
 		value	: 'Τιμή'
@@ -413,15 +413,15 @@
 	{
 		title		: 'Ιδιότητες Εικόνας',
-		titleButton	: 'Ιδιότητες κουμπιού εικόνας',
+		titleButton	: 'Ιδιότητες Κουμπιού Εικόνας',
 		menu		: 'Ιδιότητες Εικόνας',
 		infoTab		: 'Πληροφορίες Εικόνας',
 		btnUpload	: 'Αποστολή στον Διακομιστή',
-		upload		: 'Αποστολή',
-		alt			: 'Εναλλακτικό Κείμενο (ALT)',
+		upload		: 'Ανέβασμα',
+		alt			: 'Εναλλακτικό Κείμενο',
 		lockRatio	: 'Κλείδωμα Αναλογίας',
 		resetSize	: 'Επαναφορά Αρχικού Μεγέθους',
-		border		: 'Περιθώριο',
-		hSpace		: 'Οριζόντιος Χώρος (HSpace)',
-		vSpace		: 'Κάθετος Χώρος (VSpace)',
+		border		: 'Περίγραμμα',
+		hSpace		: 'Οριζόντιο Διάστημα',
+		vSpace		: 'Κάθετο Διάστημα',
 		alertUrl	: 'Εισάγετε την τοποθεσία (URL) της εικόνας',
 		linkTab		: 'Σύνδεσμος',
@@ -439,21 +439,21 @@
 		properties		: 'Ιδιότητες Flash',
 		propertiesTab	: 'Properties', // MISSING
-		title			: 'Ιδιότητες flash',
-		chkPlay			: 'Αυτόματη έναρξη',
+		title			: 'Ιδιότητες Flash',
+		chkPlay			: 'Αυτόματη Εκτέλεση',
 		chkLoop			: 'Επανάληψη',
 		chkMenu			: 'Ενεργοποίηση Flash Menu',
 		chkFull			: 'Allow Fullscreen', // MISSING
- 		scale			: 'Κλίμακα',
+ 		scale			: 'Μεγέθυνση',
 		scaleAll		: 'Εμφάνιση όλων',
-		scaleNoBorder	: 'Χωρίς όρια',
-		scaleFit		: 'Ακριβής εφαρμογή',
+		scaleNoBorder	: 'Χωρίς Περίγραμμα',
+		scaleFit		: 'Ακριβές Μέγεθος',
 		access			: 'Script Access', // MISSING
 		accessAlways	: 'Always', // MISSING
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		alignAbsBottom	: 'Απόλυτα Κάτω (Abs Bottom)',
-		alignAbsMiddle	: 'Απόλυτα στη Μέση (Abs Middle)',
-		alignBaseline	: 'Γραμμή Βάσης (Baseline)',
-		alignTextTop	: 'Κορυφή Κειμένου (Text Top)',
+		alignAbsBottom	: 'Απόλυτα Κάτω',
+		alignAbsMiddle	: 'Απόλυτα στη Μέση',
+		alignBaseline	: 'Γραμμή Βάσης',
+		alignTextTop	: 'Κορυφή Κειμένου',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -469,6 +469,6 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Χρώμα Υποβάθρου',
-		hSpace			: 'Οριζόντιος Χώρος (HSpace)',
-		vSpace			: 'Κάθετος Χώρος (VSpace)',
+		hSpace			: 'Οριζόντιο Διάστημα',
+		vSpace			: 'Κάθετο Διάστημα',
 		validateSrc		: 'Εισάγετε την τοποθεσία (URL) του υπερσυνδέσμου (Link)',
 		validateHSpace	: 'HSpace must be a number.', // MISSING
@@ -479,5 +479,5 @@
 	spellCheck :
 	{
-		toolbar			: 'Ορθογραφικός έλεγχος',
+		toolbar			: 'Ορθογραφικός Έλεγχος',
 		title			: 'Spell Check', // MISSING
 		notAvailable	: 'Sorry, but service is unavailable now.', // MISSING
@@ -491,9 +491,9 @@
 		btnUndo			: 'Αναίρεση',
 		noSuggestions	: '- Δεν υπάρχουν προτάσεις -',
-		progress		: 'Ορθογραφικός έλεγχος σε εξέλιξη...',
+		progress		: 'Γίνεται ορθογραφικός έλεγχος...',
 		noMispell		: 'Ο ορθογραφικός έλεγχος ολοκληρώθηκε: Δεν βρέθηκαν λάθη',
 		noChanges		: 'Ο ορθογραφικός έλεγχος ολοκληρώθηκε: Δεν άλλαξαν λέξεις',
-		oneChange		: 'Ο ορθογραφικός έλεγχος ολοκληρώθηκε: Μια λέξη άλλαξε',
-		manyChanges		: 'Ο ορθογραφικός έλεγχος ολοκληρώθηκε: %1 λέξεις άλλαξαν',
+		oneChange		: 'Ο ορθογραφικός έλεγχος ολοκληρώθηκε: Άλλαξε μια λέξη',
+		manyChanges		: 'Ο ορθογραφικός έλεγχος ολοκληρώθηκε: Άλλαξαν %1 λέξεις',
 		ieSpellDownload	: 'Δεν υπάρχει εγκατεστημένος ορθογράφος. Θέλετε να τον κατεβάσετε τώρα;'
 	},
@@ -512,6 +512,6 @@
 	},
 
-	numberedlist	: 'Λίστα με Αριθμούς',
-	bulletedlist	: 'Λίστα με Bullets',
+	numberedlist	: 'Εισαγωγή/Απομάκρυνση Αριθμημένης Λίστας',
+	bulletedlist	: 'Εισαγωγή/Απομάκρυνση Λίστας Κουκκίδων',
 	indent			: 'Αύξηση Εσοχής',
 	outdent			: 'Μείωση Εσοχής',
@@ -522,8 +522,8 @@
 		center	: 'Στοίχιση στο Κέντρο',
 		right	: 'Στοίχιση Δεξιά',
-		block	: 'Πλήρης Στοίχιση (Block)'
-	},
-
-	blockquote : 'Block Quote', // MISSING
+		block	: 'Πλήρης Στοίχιση'
+	},
+
+	blockquote : 'Περιοχή Παράθεσης',
 
 	clipboard :
@@ -532,5 +532,5 @@
 		cutError	: 'Οι ρυθμίσεις ασφαλείας του φυλλομετρητή σας δεν επιτρέπουν την επιλεγμένη εργασία αποκοπής. Χρησιμοποιείστε το πληκτρολόγιο (Ctrl/Cmd+X).',
 		copyError	: 'Οι ρυθμίσεις ασφαλείας του φυλλομετρητή σας δεν επιτρέπουν την επιλεγμένη εργασία αντιγραφής. Χρησιμοποιείστε το πληκτρολόγιο (Ctrl/Cmd+C).',
-		pasteMsg	: 'Παρακαλώ επικολήστε στο ακόλουθο κουτί χρησιμοποιόντας το πληκτρολόγιο (<STRONG>Ctrl/Cmd+V</STRONG>) και πατήστε <STRONG>OK</STRONG>.',
+		pasteMsg	: 'Παρακαλώ επικολήστε στο ακόλουθο κουτί χρησιμοποιόντας το πληκτρολόγιο (<strong>Ctrl/Cmd+V</strong>) και πατήστε OK.',
 		securityMsg	: 'Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.', // MISSING
 		pasteArea	: 'Paste Area' // MISSING
@@ -554,16 +554,16 @@
 	{
 		button			: 'Πρότυπα',
-		title			: 'Πρότυπα περιεχομένου',
+		title			: 'Πρότυπα Περιεχομένου',
 		options : 'Template Options', // MISSING
 		insertOption	: 'Αντικατάσταση υπάρχοντων περιεχομένων',
-		selectPromptMsg	: 'Παρακαλώ επιλέξτε πρότυπο για εισαγωγή στο πρόγραμμα<br>(τα υπάρχοντα περιεχόμενα θα χαθούν):',
+		selectPromptMsg	: 'Παρακαλώ επιλέξτε πρότυπο για εισαγωγή στο πρόγραμμα',
 		emptyListMsg	: '(Δεν έχουν καθοριστεί πρότυπα)'
 	},
 
-	showBlocks : 'Show Blocks', // MISSING
+	showBlocks : 'Προβολή Περιοχών',
 
 	stylesCombo :
 	{
-		label		: 'Στυλ',
+		label		: 'Μορφές',
 		panelTitle	: 'Formatting Styles', // MISSING
 		panelTitle1	: 'Block Styles', // MISSING
@@ -574,6 +574,6 @@
 	format :
 	{
-		label		: 'Μορφή Γραμματοσειράς',
-		panelTitle	: 'Μορφή Γραμματοσειράς',
+		label		: 'Μορφοποίηση',
+		panelTitle	: 'Μορφοποίηση Παραγράφου',
 
 		tag_p		: 'Κανονικό',
@@ -619,5 +619,5 @@
 		label		: 'Γραμματοσειρά',
 		voiceLabel	: 'Font', // MISSING
-		panelTitle	: 'Γραμματοσειρά'
+		panelTitle	: 'Όνομα Γραμματοσειράς'
 	},
 
@@ -626,13 +626,13 @@
 		label		: 'Μέγεθος',
 		voiceLabel	: 'Font Size', // MISSING
-		panelTitle	: 'Μέγεθος'
+		panelTitle	: 'Μέγεθος Γραμματοσειράς'
 	},
 
 	colorButton :
 	{
-		textColorTitle	: 'Χρώμα Γραμμάτων',
-		bgColorTitle	: 'Χρώμα Υποβάθρου',
+		textColorTitle	: 'Χρώμα Κειμένου',
+		bgColorTitle	: 'Χρώμα Φόντου',
 		panelTitle		: 'Colors', // MISSING
-		auto			: 'Αυτόματο',
+		auto			: 'Αυτόματα',
 		more			: 'Περισσότερα χρώματα...'
 	},
@@ -727,6 +727,6 @@
 	},
 
-	maximize : 'Maximize', // MISSING
-	minimize : 'Minimize', // MISSING
+	maximize : 'Μεγιστοποίηση',
+	minimize : 'Ελαχιστοποίηση',
 
 	fakeobjects :
@@ -739,5 +739,5 @@
 	},
 
-	resize : 'Drag to resize', // MISSING
+	resize : 'Σύρσιμο για αλλαγή μεγέθους',
 
 	colordialog :
@@ -750,6 +750,6 @@
 	},
 
-	toolbarCollapse	: 'Collapse Toolbar', // MISSING
-	toolbarExpand	: 'Expand Toolbar', // MISSING
+	toolbarCollapse	: 'Σύμπτηξη Εργαλειοθήκης',
+	toolbarExpand	: 'Ανάπτυξη Εργαλειοθήκης',
 
 	toolbarGroups :
@@ -776,13 +776,13 @@
 	docprops :
 	{
-		label : 'Ιδιότητες εγγράφου',
-		title : 'Ιδιότητες εγγράφου',
+		label : 'Ιδιότητες Εγγράφου',
+		title : 'Ιδιότητες Εγγράφου',
 		design : 'Design', // MISSING
 		meta : 'Δεδομένα Meta',
 		chooseColor : 'Choose', // MISSING
-		other : '<άλλος>',
-		docTitle :	'Τίτλος σελίδας',
-		charset : 	'Κωδικοποίηση χαρακτήρων',
-		charsetOther : 'Άλλη κωδικοποίηση χαρακτήρων',
+		other : 'Άλλο...',
+		docTitle :	'Τίτλος Σελίδας',
+		charset : 	'Κωδικοποίηση Χαρακτήρων',
+		charsetOther : 'Άλλη Κωδικοποίηση Χαρακτήρων',
 		charsetASCII : 'ASCII', // MISSING
 		charsetCE : 'Κεντρικής Ευρώπης',
@@ -810,5 +810,5 @@
 		metaDescription : 'Περιγραφή εγγράφου',
 		metaAuthor : 'Συγγραφέας',
-		metaCopyright : 'Πνευματικά δικαιώματα',
+		metaCopyright : 'Πνευματικά Δικαιώματα',
 		previewHtml : '<p>This is some <strong>sample text</strong>. You are using <a href="javascript:void(0)">CKEditor</a>.</p>' // MISSING
 	}